[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

MacOSX: javahl.jnilib included with subclipse?

From: Marc Guenther <marc_at_weblicon.de>
Date: 2004-08-19 09:38:36 CEST

Hi,

I'm on MacOSX 10.3.5. I installed subclipse through the update manager,
as described on the website. Sure enough, it killed Eclipse instantly,
because it didn't find the needed shared libraries in /sw/lib/*.

We are currently evaluating switching to subversion. As I don't want to
force all our developers to go through this whole process of setting up
fink, I just used the available subversion packages from
http://metissian.com/projects/macosx/subversion. I used the 1.0.6
package, which includes a libsvnjavahl.jnilib.

2 comments:
- On the website, it doesn't say that you need the fink subversion
package installed, or otherwise it will crash Eclipse. This is a rather
important point...
- Why is there a libsvnjavahl.jnilib included with subclipse anyway? To
fix my problem, I just removed the one from subclipse, and it now
happily uses the one that the metissian package installed. Everything
is working fine. I would think that the libsvnjavahl.jnilib should be
part of the subversion installation, I guess the fink svn-javahl also
installs one. So at least an option would be nice to install without
the library.

Otherwise, everything is working fine so far.

Marc

-- 
When you use C++, your objects can't hear you scream.

  • application/pkcs7-signature attachment: smime.p7s
Received on Thu Aug 19 17:38:36 2004

This is an archived mail posted to the Subclipse Dev mailing list.